Subject: [Gendispatch] AD review of draft-halpern-gendispatch-consensusinformational-01

From: Alissa Cooper <[email-masked]>
Date: Tue, 21 Jan 2020 10:18:38 -0500

I have reviewed this document in preparation for IETF last call. The document is almost ready for IETF LC but there are a couple of substantive issues I’d like to discuss and some nits to be resolved. This document is AD-sponsored but I’ve cc’ed the gendispatch list for transparency.

=== Substantive comments ===

I tend to think this document needs to update RFC 7841 Section A.2.2, which is about document boilerplate, or otherwise indicate the new understanding that replaces this text in that section:
'The text that follows is stream dependent -- these are initial values
   and may be updated by stream definition document updates and recorded
   by the IAB on the web page.

   IETF Stream:  "This document is a product of the Internet Engineering
      Task Force (IETF)."

      If there has been an IETF consensus call per IETF process, this
      additional text should be added: "It represents the consensus of
      the IETF community.  It has received public review and has been
      approved for publication by the Internet Engineering Steering
      Group (IESG)."  If there has not been such a consensus call, then
      this simply reads: "It has been approved for publication by the
      Internet Engineering Steering Group (IESG)."'
= Section 4 =

(1) "The IESG has issued a statement saying that no document will be issued without first conducting an IETF Last Call.” Which statement is that? I found https://ietf.org/about/groups/iesg/statements/last-call-guidance/ but it doesn’t make the claim above.

(2) Related to my comment above about RFC 7841, I think for the purposes of IETF last call, the last paragraph of this section should be removed. If this draft does not end up getting published as an RFC, we can work out a way to get the boilerplate updated to be more clear about documents being published without consensus.

=== Nits ===

= Abstract =

s/IEtF/IETF/

s/this updates/this document updates/

= Section 1 =

s/IETF procedures, as defined by [RFC2026 <https://tools.ietf.org/html/rfc2026>]/IETF procedures as defined by [RFC2026 <https://tools.ietf.org/html/rfc2026>]/

---

From: Joel Halpern <[email-masked]>
Date: Tue, 21 Jan 2020 16:22:47 +0000

Alissa, regarding 7841 I looked at that carefully.  The point of that RFC was explicitly to STOP updating RFCs with explicit boilerplate.  Rather, the document states that “Details of the exact textual and layout requirements are left to a web page maintained by the IAB…”
Thus, this RFC does not need to provide the new boilerplate.  While there is some conceptual sense in which it updates 7841, it does not update A.2 as those sections are just to initially populate the web page.

With regard to the IESG statement, I was told explicitly that there was such a policy.  I included the text to give the IESG credit for having taken some steps in this regard.  If you want to remove it, or propose alternative text, I am fine with that.  I did not want to point to the statement in the RFC, since it would not be in effect once this is approved.

Yours,
Joel

From: Alissa Cooper <[email-masked]>
Sent: Tuesday, January 21, 2020 10:19 AM
To: [email-masked]
Cc: [email-masked]
Subject: AD review of draft-halpern-gendispatch-consensusinformational-01

      Task Force (IETF)."

=== Nits ===

= Abstract =

s/IEtF/IETF/

= Section 1 =

s/IETF procedures, as defined by [RFC2026<https://tools.ietf.org/html/rfc2026>]/IETF procedures as defined by [RFC2026<https://tools.ietf.org/html/rfc2026>]/

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 21 Jan 2020 11:29:44 -0500

Hi Joel,

> On Jan 21, 2020, at 11:22 AM, Joel Halpern <joel.halpern=[email-masked]> wrote:
> 

Got it. So the expectation is that if this document is published, the IAB will change Section 2.2 at https://www.iab.org/documents/headers-boilerplate/ and let the community know?

> With regard to the IESG statement, I was told explicitly that there was such a policy.  I included the text to give the IESG credit for having taken some steps in this regard.  If you want to remov…

Could you send a link via email so I know which statement is being referenced?

Thanks,
Alissa

>  
> Yours,
> Joel
>  
> From: Alissa Cooper <[email-masked] <mailto:[email-masked]>> 
> To: [email-masked] <mailto:[email-masked]>
> Cc: [email-masked] <mailto:[email-masked]>
> (1) "The IESG has issued a statement saying that no document will be issued without first conducting an IETF Last Call.” Which statement is that? I foundhttps://ietf.org/about/groups/iesg/statements/last-call-guidance/ <https://ietf.org/about/groups/iesg/statements/last-call-guidance/> but it doesn’t make the claim above.
>  
> -- 
> Gendispatch mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/gendispatch <https://www.ietf.org/mailman/listinfo/gendispatch>

---

From: Joel Halpern <[email-masked]>
Date: Tue, 21 Jan 2020 16:34:30 +0000

Yes, I would expect (assume? …) the IAB would update the boilerplate once this is approved.

Regarding the statement, the one that was pointed to is:
https://ietf.org/about/groups/iesg/statements/area-director-sponsoring-documents/  It could be argued that the IESG should update that once this is approved.  But I am happy to leave that to the IESG’s discretion.

Yours,
Joel

From: Alissa Cooper <[email-masked]>
Sent: Tuesday, January 21, 2020 11:30 AM
To: Joel Halpern <joel.halpern=[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [Gendispatch] AD review of draft-halpern-gendispatch-consensusinformational-01

Hi Joel,

On Jan 21, 2020, at 11:22 AM, Joel Halpern <joel.halpern=[email-masked]<mailto:joel.halpern=[email-masked]>> wrote:

Got it. So the expectation is that if this document is published, the IAB will change Section 2.2 at https://www.iab.org/documents/headers-boilerplate/<https://protect2.fireeye.com/v1/url?k=3384e801-6f16e55d-3384a89a-0cc47ad93d46-4ab38a7127cf1fb1&q=1&e=7fb49d7b-3a59-46d7-a5c6-158bcb67a739&u=https%3A%2F%2Fwww.iab.org%2Fdocuments%2Fheaders-boilerplate%2F> and let the community know?

Thanks,
Alissa

Yours,
Joel

From: Alissa Cooper <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, January 21, 2020 10:19 AM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: AD review of draft-halpern-gendispatch-consensusinformational-01

      Task Force (IETF)."

(1) "The IESG has issued a statement saying that no document will be issued without first conducting an IETF Last Call.” Which statement is that? I foundhttps://ietf.org/about/groups/iesg/statements/last-call-guidance/ but it doesn’t make the claim above.

=== Nits ===

= Abstract =

s/IEtF/IETF/

= Section 1 =

--
Gendispatch mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/gendispatch

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 21 Jan 2020 12:03:06 -0500

Hi Joel,

> On Jan 21, 2020, at 11:34 AM, Joel Halpern <[email-masked]> wrote:
> 
> https://ietf.org/about/groups/iesg/statements/area-director-sponsoring-documents/ <https://ietf.org/about/groups/iesg/statements/area-director-sponsoring-documents/> 

Thanks. I think my preference would be if the text were edited as follows:
In 2007 the IESG issued a statement saying that no document will be issued without first conducting an IETF Last Call [cite].
That way readers can find the statement if they are interested. I can work with the IESG on publishing a revised statement.

Thanks,
Alissa

> It could be argued that the IESG should update that once this is approved.  But I am happy to leave that to the IESG’s discretion.
>  
> Yours,
> Joel
>  
> To: Joel Halpern <joel.halpern=[email-masked] <mailto:joel.halpern=[email-masked]>>
> Cc: [email-masked] <mailto:[email-masked]>; [email-masked] <mailto:[email-masked]>
> On Jan 21, 2020, at 11:22 AM, Joel Halpern <joel.halpern=[email-masked] <mailto:joel.halpern=[email-masked]>> wrote:
>  
> Got it. So the expectation is that if this document is published, the IAB will change Section 2.2 at https://www.iab.org/documents/headers-boilerplate/ <https://protect2.fireeye.com/v1/url?k=3384e801-6f16e55d-3384a89a-0cc47ad93d46-4ab38a7127cf1fb1&q=1&e=7fb49d7b-3a59-46d7-a5c6-158bcb67a739&u=https%3A%2F%2Fwww.iab.org%2Fdocuments%2Fheaders-boilerplate%2F> and let the community know?
> 
> 
>

---

From: Joel Halpern <[email-masked]>
Date: Tue, 21 Jan 2020 17:05:20 +0000

Okay.  Do you want me to craft a revision, or simply retain this as an RFC Editor note.  Either is fine with me.

Thank you,
Joel

From: Alissa Cooper <[email-masked]>
Sent: Tuesday, January 21, 2020 12:03 PM
To: Joel Halpern <[email-masked]>
Cc: Joel Halpern <joel.halpern=[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [Gendispatch] AD review of draft-halpern-gendispatch-consensusinformational-01

Hi Joel,

On Jan 21, 2020, at 11:34 AM, Joel Halpern <[email-masked]<mailto:[email-masked]>> wrote:

Regarding the statement, the one that was pointed to is:
https://ietf.org/about/groups/iesg/statements/area-director-sponsoring-documents/

Thanks,
Alissa

Yours,
Joel

From: Alissa Cooper <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, January 21, 2020 11:30 AM
To: Joel Halpern <joel.halpern=[email-masked]<mailto:joel.halpern=[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Gendispatch] AD review of draft-halpern-gendispatch-consensusinformational-01

Hi Joel,

Thanks,
Alissa

Yours,
Joel

      Task Force (IETF)."

=== Nits ===

= Abstract =

s/IEtF/IETF/

= Section 1 =

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 21 Jan 2020 12:08:19 -0500

> On Jan 21, 2020, at 12:05 PM, Joel Halpern <[email-masked]> wrote:
> 

A revision would be better, with the nits addressed too. Thanks much.
Alissa

> On Jan 21, 2020, at 11:34 AM, Joel Halpern <[email-masked] <mailto:[email-masked]>> wrote:
>

---

From: Joel Halpern <[email-masked]>
Date: Tue, 21 Jan 2020 17:27:32 +0000

Just realized (in making the other change) that I had missed your third comment.  I realize that text is no longer relevant once the document is actually approved.  It feels odd to remove it, but if you think it important I can do so.

Yours,
Joel

Hi Joel,

Thanks,
Alissa

Yours,
Joel

      Task Force (IETF)."

=== Nits ===

= Abstract =

s/IEtF/IETF/

= Section 1 =

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 21 Jan 2020 12:34:17 -0500

Hi Joel,

> On Jan 21, 2020, at 12:27 PM, Joel Halpern <[email-masked]> wrote:
> 

Perhaps you could add a note asking the RFC Editor to remove the text prior to publication?

Alissa

---

From: Joel Halpern <[email-masked]>
Date: Tue, 21 Jan 2020 17:35:28 +0000

That works for me.  Thank you.
Joel

Sent: Tuesday, January 21, 2020 12:34 PM

Hi Joel,

On Jan 21, 2020, at 12:27 PM, Joel Halpern <[email-masked]<mailto:[email-masked]>> wrote:

Alissa

Yours,
Joel

Hi Joel,

Thanks,
Alissa

Yours,
Joel

      Task Force (IETF)."

=== Nits ===

= Abstract =

s/IEtF/IETF/

= Section 1 =